package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrBloodTransfusion;
import com.diagbot.facade.StrBloodTransfusionFacade;
import com.diagbot.vo.str.StrBloodResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 输血记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/BloodTransfusion")
@Api(value = "输血记录相关API", tags = { "输血记录相关API" })
public class StrBloodTransfusionController {

    @Autowired
    private StrBloodTransfusionFacade strBloodTransfusionFacade;

    @ApiOperation("新增或修改输血记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrBloodResultVO> sendBloodTransfusionInfos(@RequestBody StrBloodTransfusion strBloodTransfusion){
        return strBloodTransfusionFacade.sendBloodTransfusionInfos(strBloodTransfusion);
    }

}
